Bug 435830 - evo should have a flag to indicate internal mailing addresses
evo should have a flag to indicate internal mailing addresses
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 21:17 EST by Jonathan Blandford
Modified: 2014-09-04 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2008-03-03 21:17:48 EST
It would be nice if evolution had a way to indicate whether or not mail was
leaving the company or not.  That is, when I send mail to only @redhat.com email
addresses, I would have a visual indicator showing that.  Bonus points if we can
find a way to mark files as confidential (emblem?) and ask the user when sending
if they're sure they want to send the attachment.
Comment 1 Jonathan Blandford 2008-03-03 21:18:50 EST
One complication: fedora-devel-list@redhat.com is a redhat address, but clearly
public.
Comment 3 Matthew Barnes 2008-03-03 22:48:46 EST
Jonathan, any specific UI suggestions for Evo would be appreciated.  The last
thing we need is more badly designed UI.

Would be nice if mailing list addresses could be added to your address book and
somehow flagged as a public or internal mailing list instead of a human.  Maybe
extend our existing "contact list" concept?  Dunno.  Not sure if vCard supports
anything like this; could be kinda hacky otherwise.  /me consults RFCs.
Comment 4 Matthew Barnes 2010-03-24 09:27:20 EDT
(In reply to comment #0)
> Bonus points if we can find a way to mark files as confidential (emblem?)
> and ask the user when sending if they're sure they want to send the 
> attachment.    

Speaking naively here, but could that be done via an SELinux context?  Evolution could check it via G_FILE_ATTRIBUTE_SELINUX_CONTEXT.
Comment 6 Fedora Admin XMLRPC Client 2014-09-04 10:28:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.